libfprint (1:1.94.7+tod1-0ubuntu5~24.04.8) noble; urgency=medium

  * d/p/fpi-bytes-{writer,reader}: backport fixes needed by egis_etu905 driver
    (LP: #2148374)
  * d/p/egis_etu905: Add and enable driver for egis_etu905 fingerprint reader
    (LP: #2148374)
  * d/p/goodixmoc: Fix inconsistent enrollment progress when swiping quickly
    (LP: #2155847)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 01 Jul 2026 13:00:19 +0200

libfprint (1:1.94.7+tod1-0ubuntu5~24.04.7) noble; urgency=medium

  [ Dirk Su ]
  * d/p: Add new Elan device 04f3:0ca8 (LP: #2147084)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 08 Jun 2026 12:11:37 +0200

libfprint (1:1.94.7+tod1-0ubuntu5~24.04.6) noble; urgency=medium

  [ Dirk Su ]
  * d/p: Add new Goodix device 27c6:66a9 (LP: #2139061)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 11 Mar 2026 14:49:58 +0100

libfprint (1:1.94.7+tod1-0ubuntu5~24.04.5) noble; urgency=medium

  * d/p: synaptics: add new PID 0x019F, 0x0109 and 0x010A. (LP: #2133704)

 -- Bin Li <binli@ubuntu.com>  Tue, 02 Dec 2025 14:51:30 +0800

libfprint (1:1.94.7+tod1-0ubuntu5~24.04.4) noble; urgency=medium

  * d/p: Add new Synaptics device 06cb:019d (LP: #2114712)

 -- Atlas Yu <atlas.yu@canonical.com>  Fri, 16 Jun 2025 16:28:58 +0800

libfprint (1:1.94.7+tod1-0ubuntu5~24.04.3) noble; urgency=medium

  [ Dirk Su ]
  * d/p: Add new Synaptics devices 06cb:0107 and 06cb:0108 (LP: #2097831)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 10 Mar 2025 16:54:46 +0100

libfprint (1:1.94.7+tod1-0ubuntu5~24.04.2) noble; urgency=medium

  * debian/patches: Add new Elan device 04f3:0c9f (LP: #2089367)

 -- Yao Wei (魏銘廷) <yao.wei@canonical.com>  Fri, 22 Nov 2024 16:31:36 +0800

libfprint (1:1.94.7+tod1-0ubuntu5~24.04.1) noble; urgency=medium

  * d/p: Add new Broadcom device IDs to reduce the power consumption
    (LP: #2067785)
  * debian: Prepare for noble branching

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Jun 2024 04:50:33 +0200

libfprint (1:1.94.7+tod1-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:56:39 +0000

libfprint (1:1.94.7+tod1-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:59:26 +0000

libfprint (1:1.94.7+tod1-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:21:12 +0000

libfprint (1:1.94.7+tod1-0ubuntu1) noble; urgency=medium

  * New upstream release
  * Merge packaging bits with debian, remaining changes:
    - Use tod upstream source
    - Update reference to tod binaries
  * debian/upstream/metadata: Update for tod light-fork

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 20 Feb 2024 09:27:24 +0100

libfprint (1:1.94.7-2) unstable; urgency=medium

  * debian/patches: Cherry-pick patches to ignore tests missing dependencies
    (Closes: #1059027)
  * debian/control: Add build-dependency on gir1.2-{gobject,gio}-2.0-dev
  * debian/control: Add gir depends and provides fields to dev package

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 20 Feb 2024 08:42:26 +0100

libfprint (1:1.94.7-1) unstable; urgency=medium

  * New upstream release
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Drop, applied upstream
  * debian: use udev.pc to place udev rules and hwdb (Closes: #1058843)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 20 Feb 2024 06:46:40 +0100

libfprint (1:1.94.6+tod1-0ubuntu3) mantic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Update changelog
  * Merge with debian changes
  * debian/patches: Remove execution bit from test asset

  [ Debian Janitor ]
  * Apply multi-arch hints. + libfprint-2-2: Drop Multi-Arch: same.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable)

  [ Andy Chi ]
  * d/p/synaptics-fix-enroll_identify-problem-after-user-reset-da.patch
    (LP: #2034481)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 07 Sep 2023 17:59:33 +0200

libfprint (1:1.94.6+tod1-0ubuntu2) mantic; urgency=medium

  * debian/control: Add explicit tests dependency on python3
  * debian/patches: Use proper rpath and permissions on installed libraries
  * debian/intian-overrides: Update lintian syntax to ignore built drivers
  * debian/rules: Always force building udev hwdb

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 23 Aug 2023 00:31:57 +0200

libfprint (1:1.94.6+tod1-0ubuntu1) mantic; urgency=medium

  * New upstream release
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Drop, applied upstream
  * debian: Add libfprint-2-tests package
  * debian/tests: Run installed tests as regression tests
  * debian/patches: Install current tod driver for installed tests
  * debian/patches: Use assets from correct paths

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 17 Aug 2023 21:53:59 +0200

libfprint (1:1.94.6-2) unstable; urgency=medium

  * debian/control: Update standards-version to 4.6.2, no change needed

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 24 Aug 2023 09:19:31 +0200

libfprint (1:1.94.6-1) unstable; urgency=medium

  * New upstream release
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Drop, applied upstream
  * debian: Add libfprint-2-tests package
  * debian/patches: Use assets from correct paths
  * debian/rules: Always force building udev hwdb (Closes: #1024309)
  * debian/patches: Remove execution bit from test asset

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 23 Aug 2023 01:11:51 +0200

libfprint (1:1.94.5+tod1-0ubuntu2) lunar; urgency=medium

  * debian/patches/git_tests_fix.patch:
    - cherry pick a fix for the tests failing with the new glib version
      (lp: #2013106)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 12 Apr 2023 10:45:01 +0200

libfprint (1:1.94.5+tod1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (LP: #1992855):
    - Supports new FPC MOC device
    - Avoid defining duplicated symbols in tod and libfprint (LP: #1992841)
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Drop all (applied upstream)
  * debian/libfprint-2-tod1.symbols: Add new symbols for shared drivers
  * debian/source: Remove include-binaries file, we've none now

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Oct 2022 00:18:27 +0200

libfprint (1:1.94.5-1) unstable; urgency=medium

  * New upstream release:
     - New driver: fpcmoc, supporting various FPC MOC Fingerprint Sensors
     - goodixmoc:
       + New PIDs 0x6014, 0x6094, 0x631C, 0x634C, 0x6384, 0x659A.
       + Support resetting device on firmware failure due to corrupted DB.
     - elanmoc: New PIDs 0x0c88, 0x0c8c, 0x0c8d.
     - synaptics: New PID 0x0104.
     - upektc: New PID 0x2017.
     - Fixed various memory leaks
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Cherry-pick post-release upstream cleanups
  * debian/docs: Update reference to README.md and remove TODO

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Oct 2022 01:09:06 +0200

libfprint (1:1.94.3+tod1-0ubuntu3) kinetic; urgency=medium

  * elanmoc: Add support for more supported PIDs.
    And include more tests for specific cases. (LP: #1989314)
  * debian/patches: Add support for more device PIDs supported upstream
  * debian/patches: Improve testing for various drivers

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 13 Oct 2022 13:55:39 +0200

libfprint (1:1.94.3+tod1-0ubuntu2) kinetic; urgency=medium

  * debian/patches: Ensure that identify works with old goodix driver
    (LP: #1966911)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 17 Jul 2022 17:37:33 +0200

libfprint (1:1.94.3+tod1-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1944369)
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/libfprint-2-tod1.symbols: Add new symbols
  * debian/docs: Update README name to use markdown file
  * tod: Ensure we install tod-macros.h header

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 27 Mar 2022 23:48:11 +0200

libfprint (1:1.94.2+tod1-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1950438)
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Drop, all applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 14 Dec 2021 19:57:05 +0100

libfprint (1:1.94.2-1) unstable; urgency=medium

  * New upstream release
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/libfprint-2-*.install: Use more restrictive rules to reduce ubuntu
    delta
  * debian/update-udev-triggers: Ignore errors on udevadm trigger.
    These are not fatal for package installation and rebuild postinst script
  * debian/watch: Use @PACKAGE@
  * debian/patches: Drop, all applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Nov 2021 17:39:27 +0100

libfprint (1:1.94.1+tod1-0ubuntu2) jammy; urgency=medium

  * debian/patches: Ensure that structures padding is constant in all archs

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 31 Oct 2021 23:13:40 +0100

libfprint (1:1.94.1+tod1-0ubuntu1) jammy; urgency=medium

  * Merge common packaging bits with debian
  * New TOD fork upstream release
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/source/lintian-overrides: Update for new TOD drivers paths
  * debian/patches: Drop, all applied on the TOD upstream branch
  * debian/libfprint-2-tod1.symbols: Update TOD symbols
  * debian/libfprint-2-2.symbols: Remove virtual device symbols.
    These were wrongly exported before and not really part of any public
    API.
  * debian/control: Depend libfprint-2-tod-dev on libgudev-1.0-dev

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 28 Oct 2021 20:32:43 +0200

libfprint (1:1.94.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Remove all patches, they've been applied upstream
  * debian/patches: Fix template struct in goodix drivers (LP: #1945296)
  * debian/patches: Add support for new elan and goodix PIDs
  * debian/libfprint-2-2.postinst: Update to match new PIDs
  * debian: Build-depend on gudev-1, and set back rules dir.
    This is needed for SPI devices
  * debian/patches: Fix test device descriptors to get tests passing
  * debian/libfprint-2-2.symbols: Add new symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 27 Oct 2021 15:17:09 +0200

libfprint (1:1.90.7-3) experimental; urgency=medium

  * gbp.conf: Prepare for experimental branching
  * debian/patches:
    - Use hwdb to store device autosuspend rules and drop debian specifics.
      Upstream will use an hwdb to store the device autosuspend (that will be
      included in systemd also, so libfprint packagin may stop shipping it at
      later point), so use it earlier.
      Drop the debian specific rules to set the devices part of the `plugdev`
      group as such devices should not be ever readable by an user, but the
      access should be managed through a libfprint-based service (frpintd at
      the date).
    - Explicitly mark libfprint as a shared library
  * libfprint-2-2.install: Install hwdb file
  * debian/rules:
    - Do not autorename upstream rules file anymore.
      It's not there, while there's no point to rename the hwdb one.
    - Manually set udev hwdb directory (was rules dir before)
    - Don't remove the meson generated private values from pc file.
      This is now generated correctly by upstream, so no need to drop anything
      from it.
  * debian: Generate postinst devices list automatically at gbp import phase.
    Alternatively provide a script to keep the post-inst script updated
  * debian/libfprint-2-2.postinst: Upgrade as per upstream hwdb.
    Blacklisted devices can be now removed from the trigger list as we don't
    add them to plugdev anymore.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 21 Jan 2021 19:53:12 +0100

libfprint (1:1.90.7+git20210222+tod1-0ubuntu4) jammy; urgency=medium

  * debian/patches: Add support for new elan, goodix and synaptics drivers.
    Most of the drivers only need to list new product IDs to work with new
    devices, and including other changes that new devices may require.
    (LP: #1945296, #1945298)
  * debian/patches: Fix template struct in goodix drivers (LP: #1945296)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 26 Oct 2021 21:24:40 +0200

libfprint (1:1.90.7+git20210222+tod1-0ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:15:26 +0200

libfprint (1:1.90.7+git20210222+tod1-0ubuntu2) hirsute; urgency=medium

  * Disable lto for now, failing test
    ibfprint:unit-tests+tod+fake_test_dev_tod_current / fpi-device-tod-fake_test_dev_tod_current

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Mar 2021 15:01:02 +0200

libfprint (1:1.90.7+git20210222+tod1-0ubuntu1) hirsute; urgency=medium

  * New upstream TOD release
  * Merge common packaging bits with debian
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Drop, they're all applied upstream
  * debian/libfprint-2-2.symbols: Update symbols
  * debian/update-udev-triggers.sh: Ignore udevadm trigger failures
    (LP: #1909023)
  * debian/libfprint-2-2.postinst: Regenerate as per generator changes
    (LP: #1909023)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 22 Feb 2021 21:39:04 +0100

libfprint (1:1.90.7-2) unstable; urgency=medium

  * debian/patches: Skip udev rules tests when not all drivers are compiled
  * debian/libfprint-2-2.postinst: Regenerate the udev list based on new IDs

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 21 Jan 2021 17:10:57 +0100

libfprint (1:1.90.7-1) unstable; urgency=medium

  * New upstream release:
    - vfs5011: Fix possible use-after-free
    - goodixmoc: Add two new PIDs (0x63AC, 0x639C)
    - goodixmoc: Support finger status API
    - synaptics: Only identify within provided prints
    - synaptics: Reject devices with old firmware during probe (#239)
  * debian/patches:
    - Refresh, dropping merged
    - Include upstream udev fixes and use hardcoded rules
    - Ensure that umockdev tests will pass with libusb 1.0.24
      (Closes: #977848, #978256)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 21 Jan 2021 13:38:59 +0100

libfprint (1:1.90.6+tod1-0ubuntu2) hirsute; urgency=medium

  * d/p/meson-Do-not-support-drivers-known-to-fail-in-Big-Endian-.patch:
    - Do not enable drivers that are not supported by big endian archs
      Upstream patch to only build drivers everywhere but not include them
      in the supported list or test them

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 10 Dec 2020 21:37:13 +0100

libfprint (1:1.90.6+tod1-0ubuntu1) hirsute; urgency=medium

  * New upstream release
    - fp_print_deserialize will now correctly return a sunken reference
    - Object reference management fixes for FpPrint and identify
    - Fixed issues that caused problem on non-x86 machines (#236)
    - Fix building with older GLib versions
    - synaptics: Support PID 00e7
    - goodix: Fix issue with long USB packages
  * Mark libfprint-2-doc as Multi-Arch: foreign
  * debian/control: Remove Didier Raboud from uploaders
  * debian/rules: sync with debian (no change)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 10 Dec 2020 17:26:27 +0100

libfprint (1:1.90.6-2) unstable; urgency=medium

  * d/p/meson-Do-not-support-drivers-known-to-fail-in-Big-Endian-.patch:
    - Do not enable drivers that are not supported by big endian archs
      Upstream patch to only build drivers everywhere but not include them
      in the supported list or test them

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 10 Dec 2020 21:32:49 +0100

libfprint (1:1.90.6-1) unstable; urgency=medium

  * New upstream release:
    - fp_print_deserialize will now correctly return a sunken reference
    - Object reference management fixes for FpPrint and identify
    - Fixed issues that caused problem on non-x86 machines (#236)
    - Fix building with older GLib versions
    - synaptics: Support PID 00e7
    - goodix: Fix issue with long USB packages
  * debian/control:
    - Remove Didier Raboud from uploaders (as he requested via bigon).
    - Mark libfprint-2-doc as Multi-Arch: foreign
  * debian/rules:
    - Ignore tests failures in s390x as it now builds and tests correctly
    - Increase testing timeout.
  * debian/{control,rules,*.install}:
    - Switch to debhelper 13 and use its features.
      As per this restrict more the .install files wilcards
  * debian/gbp.conf: Include suggested settings by GNOME team.
    - Even if libfprint is not part of GNOME I think these settings are good
      practice anyways.
  * debian/patches:
    - Refresh
    - Add upstream patch to avoid nbis library warnings.
      These have been checked to be harmless upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 10 Dec 2020 15:58:37 +0100

libfprint (1:1.90.5+tod1-0ubuntu1) hirsute; urgency=medium

  * New upstream release:
    - Work around GUsb cancellation issue
    - Redefine internal image device state machine for more robustness
    - Add public finger-status reporting to FpDevice
    - Rework device removal API to be convenient
    - Enable powersave for unsupported USB devices
    - Improvements to examples
    - synaptics: Support identify operation
    - synaptics: Fix possible crash when the interrupt transfer is resubmitted
    - synaptics: Add support for PIDs 0x00f9, 0x00fc, 0x00c2 and 0x00c9
    - elan: Add PID 0x0c4d to supported device list
    - aes3k: Fix driver and add CI test
    - uru4000: Fix reference counting of image transfer
    - vfs301: Fix driver and add CI test
  * debian/control:
    - Switch to debhelper 13 and use its features
    - Add myself to Uploaders
  * debian/rules:
    - Ignore failures in s390x as it now builds and tests correctly
    - Switch to debhelper 13 and use its features
    - Increase testing timeout
    - Also build the virtual drivers, as they're useful for
      testing libfprint and fprintd
  * debian/libfprint-2-2.symbols: Add new symbols
  * debian/libfprint-2-tod1.symbols: Add new symbols
  * debian/libfprint.lintian-overrides: Add override for binary TOD for testing
  * debian/patches:
    - Drop patches applied upstream
    - Use gbp pq topics for debian-specific patches

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 04 Dec 2020 03:57:04 +0100

libfprint (1:1.90.5-2) unstable; urgency=medium

  * d/p/fpi-device-Return-proper-type-on-identification-success.patch,
    d/p/test-fpi-device-Always-check-the-return-values-for-the-AP.patch:
    - Properly handle identify return value and add tests.
      This fixes fprintd test failures in s390x
  * d/p/fp-print-Don-t-byte-swap-two-times-the-NBIS-array-content.patch:
    - Fixes virtual-image test in libfprint for s390x
  * debian/control: Add myself to Uploaders

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Dec 2020 17:53:32 +0100

libfprint (1:1.90.5-1) unstable; urgency=medium

  * New upstream release:
    - Remove USB hub from udev autosupend rules
    - synaptics: Add PID 0x00c9 which is used in some HP laptops
  * debian/patches: Use gbp pq topics for debian-specific patches

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Dec 2020 05:11:33 +0100

libfprint (1:1.90.4-1) unstable; urgency=medium

  * Team upload.
  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Work around GUsb cancellation issue
    - Redefine internal image device state machine for more robustness
    - Add public finger-status reporting to FpDevice
    - Rework device removal API to be convenient
    - Enable powersave for unsupported USB devices (LP: #1905603)
    - Improvements to examples
    - synaptics: Support identify operation (LP: #1905600)
    - synaptics: Fix possible crash when the interrupt transfer is resubmitted
    - synaptics: Add support for PIDs 0x00f9, 0x00fc and 0x00c2
    - elan: Add PID 0x0c4d to supported device list
    - aes3k: Fix driver and add CI test (LP: #1897613)
    - uru4000: Fix reference counting of image transfer
    - vfs301: Fix driver and add CI test (LP: #1905597, Closes: #951648)
  * debian/libfprint-2-2.symbols: Add new symbols
  * debian/rules: Also build the virtual drivers, as they're useful for
    testing libfprint and fprintd

  [ Laurent Bigonville ]
  * debian/control: Bump Standards-Version to 4.5.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 01 Dec 2020 11:36:08 +0100

libfprint (1:1.90.3+tod1-0ubuntu3) hirsute; urgency=medium

  * debian/patches:
    - Reorder to give upstream more priority
    - Don't use power-save mode for USB controller (LP: #1906296)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 30 Nov 2020 20:24:59 +0100

libfprint (1:1.90.3+tod1-0ubuntu2) hirsute; urgency=medium

  * debian/gbp.conf: Include debian's GNOME team preferred settings
  * debian/patches (upstream cherry-picks):
    - Properly handle aes3k devices, resubmitting commands.
      This also needs proper commands cancellation (LP: #1897613)
    - Add support for new Synaptics devices IDs (LP: #1905593)
    - Fix vfs301 verification using device pointer on callbacks (LP: #1905597)
    - Ensure we do not waste power for unsupported devices (LP: #1905603)
    - Add identification support to synaptics driver.
      It allows to unlock / log-in with any finger. (LP: #1905600)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 25 Nov 2020 19:18:20 +0100

libfprint (1:1.90.3+tod1-0ubuntu1) groovy; urgency=medium

  * New upstream release (LP: #1896861):
    - New goodixmoc driver supporting Goodix USB devices:
      27C6:5840, 27C6:6496, 27C6:60A2
    - Newly added support for Synaptics device:
      06CB:00E9 06CB:00DF (LP: #1893719)
    - Fixed an issue with Synaptics devices sometimes not working at boot
      (LP: #1893719)
    - Fix issue with aes3k driver
  * debian/libfprint-2-tod1.symbols: Added new GType symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 24 Sep 2020 06:14:30 +0200

libfprint (1:1.90.3-1) unstable; urgency=medium

  * Team upload.
  [ Marco Trevisan (Treviño) ]
  * New upstream release
    - Fixed crash in VFS0050 (LP: #1876502)
    - Enrollment fails with UPEK reader (LP: #1881380)
    - Lots of various drivers fixes
    - As per a patch for nbis required for some sensors that was accidentally
      dropped in an earlier release. Users of sensors/drivers aes1610, aes2501,
      aes2550, aes1660, aes2660, elan, upektc_img) need to re-enroll
  * d/p/git_reading_pointer.patch:
    - Dopped (applied upstream)

  [ Laurent Bigonville ]
  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Sun, 15 Nov 2020 16:05:30 +0100

libfprint (1:1.90.2+tod1-0ubuntu1) groovy; urgency=medium

  * New upstream release
    - Fixed crash in VFS0050 (LP: #1878285)
    - Enrollment fails with UPEK reader (LP: #1881380)
    - Lots of various drivers fixes
    - As per a patch for nbis required for some sensors that was accidentally
      dropped in an earlier release. Users of sensors/drivers aes1610, aes2501,
      aes2550, aes1660, aes2660, elan, upektc_img) need to re-enroll
  * d/p/git_reading_pointer.patch:
    - Dopped (applied upstream)
  * debian/control: Add missing libfprint-2-tod-dev dependencies (LP: #1884267)
  * debian/rules: Be strictier about symbol changes
  * libfprint-2-tod1.symbols: Add new TOD symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 19 Jun 2020 17:38:55 +0200

libfprint (1:1.90.1+tod1-0ubuntu4) focal; urgency=medium

  * Rebuild with the new libgusb

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 18 Mar 2020 15:34:58 +0100

libfprint (1:1.90.1+tod1-0ubuntu3) focal; urgency=medium

  * Rebuild with the current libgusb (lp: #1867639)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Mar 2020 20:27:38 +0100

libfprint (1:1.90.1+tod1-0ubuntu2) focal; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/control: Make package to match soname, rename to libfprint-2-tod1

 -- Iain Lane <iain.lane@canonical.com>  Tue, 03 Mar 2020 09:21:35 +0000

libfprint (1:1.90.1+tod1-0ubuntu1) focal; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * TOD: Add TOuch Drivers loader
  * debian/watch: Monitor libfprint-tod versions only
  * debian/gbp.conf:
    - Track ubuntu branch
    - Use 'upstream-tod' branch as our upstream branch
  * debian: Add libfprint-2-tod library and headers
  * debian/control:
    - Set ubuntu as maintainer
    - Point Vcs tag to the ubuntu branch
  * debian/README.tod.md: Added informations about the TOD fork

  [ Iain Lane ]
  * control: Point Vcs-* to salsa/ubuntu-dev-team/libfprint

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 02 Mar 2020 16:43:58 +0000

libfprint (1:1.90.1-2) experimental; urgency=medium

  * Team upload.
  [ Laurent Bigonville ]
  * debian/control: Add libcairo-dev and python3 to build-dependencies as they
    are explicitly required for some tests

  [ Sebastien Bacher ]
  * debian/patches/git_reading_pointer.patch:
    - backport an upstream fix for a test issue
  * debian/rules:
    - don't fail the build on s390x test results, upstream stated that
      fixing those is low priority for them since there is no real
      usecase for fingerprint authentification on that architecture.
  * Use the correct indentation for the previous changes

 -- Laurent Bigonville <bigon@debian.org>  Thu, 27 Feb 2020 16:28:45 +0100

libfprint (1:1.90.1-1) experimental; urgency=medium

  * Team upload.
  * The "I should check if somebody else hasn't done the work already" release
  * New upstream release
    - Replace libusb-1.0 build-dependency by gusb and add libgusb-doc to the
      Build-Depends-Indep. Also drop libxv-dev from the build-dep.
    - Drop d/patches/kFreeBSD_FTBFS_add_ETIME_definition.patch and
      d/patches/use-non-versionned-libusbh-path.patch, not needed anymore
    - debian/patches/udev-rules-creation-add-Debian-specifics.patch: refreshed
      by Sebastien Bacher, thanks!
    - Bump the soname to libfprint-2
    - Bump libglib2.0-dev and meson minimal versions
  * Bump debhelper compatibility version to 12
  * Add gobject-introspection and libgirepository1.0-dev to the
    build-dependencies and install the GObject introspection bindings
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * debian/control: Build-Depends on python3-cairo, python3-gi, umockdev for
    the testsuite
  * Update debian/libfprint2.postinst for the new supported readers
  * debian/gbp.conf: Upstream tags have changed format
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * d/p/udev-rules-creation-add-Debian-specifics.patch: Avoid unprivileged
    users to be able to read the devices, this is not necessary and could lead
    to fingerprint images being captured.

 -- Laurent Bigonville <bigon@debian.org>  Thu, 13 Feb 2020 16:35:50 +0100

libfprint (1:1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - d/p/lib-Add-accessor-for-minutia-coordinates.patch,
      d/p/fix_ftbfs_meson.patch: Dropped, applied upstream
    - Other patches: Refreshed
    - debian/libfprint0.symbols: Add newly exported symbol
    - debian/libfprint0.postinst: Call udevadm --trigger also for the new
      supported readers
  * debian/gbp.conf: Set pristine-tar and upstream-vcs-tag
  * debian/control: Update Vcs-* fields (Closes: #909256)
  * debian/rules: Disable the build of the GTK+ test application for now, this
    is not ready yet
  * debian/control: Bump Standards-Version to 4.4.0 (no further changes)
  * debian/libfprint0.symbols: Add the Build-Depends-Package field
  * debian/control: Add libglib2.0-doc to Build-Depends-Indep, this allows
    gtk-doc to properly resolve all the links in the documentation
  * debian/README.source: Document how the list of devices in
    debian/libfprint0.postinst is generated

 -- Laurent Bigonville <bigon@debian.org>  Fri, 23 Aug 2019 17:27:45 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libfprint-2-doc`.
